A place for customers to chat about Realmac and its products - RapidWeaver, Clear and Ember!

Will it Run on Mavericks (OSX 10.9) Preview?

hbg114hbg114 Posts: 3Members
Has anyone tried to see if Rapidweaver will successfully run on the Mavericks preview?
«1

Comments

  • WesleyWesley BelgiumPosts: 588Members
    Yep, it runs just fine!
    Newest Stacks from WeaverAddons:
    + 3D Carousel Stack
    + Slidorion Stack
    + CSV + XLS Grid Stack

    Free Utility : WeaverDetect : Detect theme, plugins & stacks used on any page.
  • NikNik Brighton, EnglandPosts: 2,089Realmac Staff
    Just as a side-note: if you choose you run RapidWeaver on pre-release versions of OS X Mavericks you do so at your own risk. We don’t support any pre-release versions of OS X - if you run into any issues, we’d appreciate a bug report via email so we can make sure it’s taken care of.

    Cheers,

    —Nik
    Nik Fletcher, Product Manager, Realmac Software
    Follow me on Twitter
  • hbg114hbg114 Posts: 3Members
    Nik wrote: »
    Just as a side-note: if you choose you run RapidWeaver on pre-release versions of OS X Mavericks you do so at your own risk. We don’t support any pre-release versions of OS X - if you run into any issues, we’d appreciate a bug report via email so we can make sure it’s taken care of.

    Cheers,

    —Nik

    Yeah, I understand. Just like to live dangerously.
  • JSilveyJSilvey Posts: 18Members
    Don't live dangerously on DP #4. Rapidweaver crashes before it can even launch. I sent a ticket into realmac earlier today.

    anyone else have that issues? Is there a work around?
  • panpan AustraliaPosts: 143Members
    I just updated to DP4, RW won't even open...

    Just getting the dreaded "Application Not Responding" and Bouncing Dock Icon.

    I also Lived Dangerously and installed Mavericks as my main Start Up Disk on my Laptop....Oh Oh

    Now moving all projects to my Desktop Computer :(
  • NikNik Brighton, EnglandPosts: 2,089Realmac Staff
    We obviously received the developer preview ourselves on Monday night, so our testing is ongoing. As shown in developer preview 4, things in Mavericks are subject to change, but it goes without saying that we’ll make sure RapidWeaver is ready for Mavericks when it launches. We’re looking into this now!

    —N
    Nik Fletcher, Product Manager, Realmac Software
    Follow me on Twitter
  • JSilveyJSilvey Posts: 18Members
    Nik.

    Do you ever have public betas for people on developer versions? or work arounds to get RW to work on them? Just curious.
  • NikNik Brighton, EnglandPosts: 2,089Realmac Staff
    JSilvey wrote: »
    Nik.

    Do you ever have public betas for people on developer versions? or work arounds to get RW to work on them? Just curious.

    If there’s an issue that prevents use, then we may issue one. But by and large, given that developer previews are a moving target, we tend to allow things to settle down and address compatibility definitively.

    If there’s a third-party plugin issue it’s something we relay to the appropriate developer.

    Cheers,

    —Nik
    Nik Fletcher, Product Manager, Realmac Software
    Follow me on Twitter
  • JSilveyJSilvey Posts: 18Members
    Thanks for the quick response @nik.

    This one is definitely preventing use on Developer Preview #4. Not sure if the combo update would help, but the Dev Center would have to come back online to test it out. I did send a support ticket with the Error Log the other day.

    Thanks for all the help. Now excuse me while I go purchase Ember. :)
  • JSilveyJSilvey Posts: 18Members
    I guess a good questions would also be... are there any users out there using 10.9 that are able to launch Rapidweaver?
  • panpan AustraliaPosts: 143Members
    JSilvey wrote: »
    I guess a good questions would also be... are there any users out there using 10.9 that are able to launch Rapidweaver?

    Pluskit is causing the issues, if you have pluskit plugin just delete it from Library/Application Support/ Rpidweaver folder and all is good...Unless you need pluskit on your site this is the only fix for RW on DP4 until Pluskit gets an update! :(

  • JSilveyJSilvey Posts: 18Members
    I got it running. With PlusKit Installed. What I had to do was go to the Mac App Store purchse, re download OS Mavericks Preview (based on the size I would assume its the combo update, and not the delta update). I reinstalled the preview. All in all it took about an hour.

    After restarting Rapidweaver worked as expected.
  • JSilveyJSilvey Posts: 18Members
    Just realized doing the reinstall was pushing back to DP1. Still it works, but not sure if their is another work around.
  • iMark34iMark34 Posts: 1Members
    pan is correct. Loghound released plus kit 2.40 to specifically address the issue with Mavericks Beta 4. I just had to replace pluskit manually and all was good again.
  • WebKarnageWebKarnage Sussex UKPosts: 2,923Moderators
    Hi all,

    Pluskit 2.40 does indeed fix the issue with Mac OS 10.9 Mavericks beta 4, but also requires 10.7+ so please don't install that new version of Pluskit on Mac OS 10.6.8 machines, stick to 2.31 for those.

    with kind regards,

    Karn.
    Theme Editing Basics for budding theme weavers
    More @ WebKarnage
  • redsquirrelredsquirrel Posts: 46Members
    @WebKarnage
    I did - because RW effectively told me to (Check for Updates). But if others have and want a quick reversal just go to the Loghound site and download the previous version. The install allows you to 'downgrade' the plugin and doesn't overwrite your License. Hopefully someone will advise when the Pluskit Upgrade to 2.40 is good to go.
  • WebKarnageWebKarnage Sussex UKPosts: 2,923Moderators
    Hi @redsquirrel

    Pluskit 2.40 is good to go, just not for those running 10.6.8 and from the developer's comments it will always require 10.7+ as he needed the new Apple developer tools to fix the 10.9 issue and they don't support back to 10.6.8 in this case.

    With best regards,
    Karn.
    Theme Editing Basics for budding theme weavers
    More @ WebKarnage
  • redsquirrelredsquirrel Posts: 46Members
    @WebKarnage
    Thanks for that - I'll reload Pluskit 2.40
  • havikahavika EcuadorPosts: 11Members
    edited October 2013
    I just installed Mavericks GM and Rapidweaver didn't open. Changed Pluskit to 2.40 and works fine.
  • zeebezeebe Lino Lakes, MinnesotaPosts: 979Members, Moderators
    @havika do you have pluskit 2.4? You need it for Mavericks.
  • NoahNoah Posts: 7Members
    edited October 2013
    I'm on Mavericks and Rapidweaver does not launch anymore. This is the release version that came out today. This is kind of a big deal. I don't know what Pluskit is or why I should need it.
  • joeworkmanjoeworkman SF Bay Area, CAPosts: 2,304Members
    @Noah Have a look at this thread... http://forums.realmacsoftware.com/discussion/64104/updated-to-osx-10-9-mavericks-rapidweaver-won-t-open

    I have been using RapidWeaver with Mavericks for months and its running great.
    Now go forth and make your websites great...
    I have the biggest stacks store out there. Build your own theme with my Foundation Theme + Stacks.
    I wrote the book on RapidWeaver. Follow me on Twitter
  • ghorganghorgan Posts: 1Members
    Ive just downloaded mavericks and rapid weaver has shit itself. nay ideas. It simply bounces up and down on the dick.
  • shanemoshanemo Posts: 916Members, Moderators
    ghorgan wrote: »
    It simply bounces up and down on the dick.

    :D
  • Dick SijtsmaDick Sijtsma UtrechtPosts: 405Members
    Dock? :-)
  • GilleGille Posts: 1,310Members
    Yes, got it too. I had to remove some plugins to make it work after an update.

    So it's best to go to your RW folder (finder->go->click alt->library->application support->Rapidweaver) and make a copy of it so that you always have the original folder (name the original folder Rapidweaver_original or something). And set the copy-folder to "Rapidweaver". Then you can remove some old plugins and themes you don't need and reopen RW again.
    Stackscenter - Quality Stacks Central
    http://www.stackscenter.com
  • midiislemidiisle Posts: 3Members
    edited October 2013
    I just downloaded Maverick on my MacBook Pro and tried to launch Rapidweaver 5...it didn't work! The icon would just bounce up and down until it stopped. Needless to say that I had to force quit it! I have clients and that means that I'm in trouble, HELP!!!
  • GilleGille Posts: 1,310Members
    Have you pluskit as plugin? Pls update it: http://www.loghound.com/pluskit/index.html
    Stackscenter - Quality Stacks Central
    http://www.stackscenter.com
  • anandaananda HD-MAPosts: 106Members
    Same here. Only bouncing up and down.... :-(
    LG,
    Ananda
  • DarthPearceDarthPearce Posts: 332Members, Moderators
    edited October 2013
    What's the easiest way to check which version on Pluskit you have?

    EDIT - should have looked first! Just click on Add Page in any project and when you scroll down to pluskit you can see the version number below it (and mine's out of date!)
Sign In or Register to comment.